Loading...
Searching...
No Matches
BALL::Peak< PositionType > Class Template Reference
Molecular Modeling » Nuclear Magnetic Resonance Spectroscopy » NMR spectra and related classes

`#include <BALL/NMR/peak.h>`

Inheritance diagram for BALL::Peak< PositionType >:

## Public Types

Typedefs
typedef PositionType | Position

## Public Member Functions

Constructors and Destructors
| Peak ()
| Peak (const Peak &peak)
virtual | ~Peak ()
Accessors
const Position & | getPosition () const
const Position & | getWidth () const
float | getIntensity () const
void | setPosition (const Position &position)
void | setWidth (const Position &width)
void | setIntensity (float intensity)
const Atom * | getAtom () const
void | setAtom (const Atom *atom)
Assignment
void | operator= (const Peak &peak)
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | clear ()
| Clears all properties.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Predicates

Position | position_
Position | width_
float | intensity_
const Atom * | atom_
bool | operator== (const Peak< PositionType > &peak) const
bool | operator< (const Peak< PositionType > &peak) const
bool | operator> (const Peak< PositionType > &peak) const

## Detailed Description

template<typename PositionType>
class BALL::Peak< PositionType >

Generic Peak Class. Each peak contains a pointer to an associated atom (in the case of NMR: the atom that causes this peak).

Definition at line 35 of file peak.h.

## Member Typedef Documentation

## Position

template<typename PositionType>

typedef PositionType BALL::Peak< PositionType >::Position

Definition at line 44 of file peak.h.

## Constructor & Destructor Documentation

## Peak() [1/2]

template<typename PositionType>

BALL::Peak< PositionType >::Peak | ( |  | ) |

Default Constructor

Definition at line 136 of file peak.h.

## Peak() [2/2]

template<typename PositionType>

BALL::Peak< PositionType >::Peak | ( | const Peak< PositionType > & | peak | ) |

Copy Constructor

Definition at line 151 of file peak.h.

## ~Peak()

template<typename PositionType>

BALL::Peak< PositionType >::~Peak | ( |  | ) |

virtual

Destructor

Definition at line 146 of file peak.h.

## Member Function Documentation

## getAtom()

template<typename PositionType>

BALL_INLINE const Atom * BALL::Peak< PositionType >::getAtom | ( |  | ) | const

Return the atom pointer.

Definition at line 204 of file peak.h.

## getIntensity()

template<typename PositionType>

BALL_INLINE float BALL::Peak< PositionType >::getIntensity | ( |  | ) | const

Return the peak intensity (amplitude).

Definition at line 190 of file peak.h.

## getPosition()

template<typename PositionType>

BALL_INLINE const Peak< PositionType >::Position & BALL::Peak< PositionType >::getPosition | ( |  | ) | const

Return the peak position.

Definition at line 162 of file peak.h.

## getWidth()

template<typename PositionType>

BALL_INLINE const Peak< PositionType >::Position & BALL::Peak< PositionType >::getWidth | ( |  | ) | const

Return the peak width.

Definition at line 169 of file peak.h.

## operator<()

template<typename PositionType>

bool BALL::Peak< PositionType >::operator< | ( | const Peak< PositionType > & | peak | ) | const

Lesser than operator

Definition at line 235 of file peak.h.

## operator=()

template<typename PositionType>

void BALL::Peak< PositionType >::operator= | ( | const Peak< PositionType > & | peak | ) |

Assignment Operator

Definition at line 217 of file peak.h.

## operator==()

template<typename PositionType>

bool BALL::Peak< PositionType >::operator== | ( | const Peak< PositionType > & | peak | ) | const

Equality operator

Definition at line 226 of file peak.h.

## operator>()

template<typename PositionType>

bool BALL::Peak< PositionType >::operator> | ( | const Peak< PositionType > & | peak | ) | const

Greater than operator

Definition at line 241 of file peak.h.

## setAtom()

template<typename PositionType>

BALL_INLINE void BALL::Peak< PositionType >::setAtom | ( | const Atom * | atom | ) |

Set the atom pointer.

Definition at line 211 of file peak.h.

## setIntensity()

template<typename PositionType>

BALL_INLINE void BALL::Peak< PositionType >::setIntensity | ( | float | intensity | ) |

Set the peak height

Definition at line 197 of file peak.h.

## setPosition()

template<typename PositionType>

BALL_INLINE void BALL::Peak< PositionType >::setPosition | ( | const Position & | position | ) |

Set the peak position.

Definition at line 176 of file peak.h.

## setWidth()

template<typename PositionType>

BALL_INLINE void BALL::Peak< PositionType >::setWidth | ( | const Position & | width | ) |

Set the peak width

Definition at line 183 of file peak.h.

## Member Data Documentation

## atom_

template<typename PositionType>

const Atom* BALL::Peak< PositionType >::atom_

protected

Definition at line 132 of file peak.h.

## intensity_

template<typename PositionType>

float BALL::Peak< PositionType >::intensity_

protected

Definition at line 131 of file peak.h.

## position_

template<typename PositionType>

Position BALL::Peak< PositionType >::position_

protected

Definition at line 129 of file peak.h.

## width_

template<typename PositionType>

Position BALL::Peak< PositionType >::width_

protected

Definition at line 130 of file peak.h.